@import url(https://fonts.googleapis.com/css?family=Open+Sans);

/* background ----------------------------------------------------------------------------------------------*/

body {
  margin: auto;
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  overflow: auto;
  background: linear-gradient(315deg, rgb(55, 0, 51) 3%, rgba(1, 26, 51, 0.737) 38%, rgb(1, 12, 77) 68%, rgb(48, 2, 2) 98%);
  animation: gradient 15s ease infinite;
  background-size: 400% 400%;
  background-attachment: fixed;
}

@keyframes gradient {
  0% {
      background-position: 0% 0%;
  }
  50% {
      background-position: 100% 100%;
  }
  100% {
      background-position: 0% 0%;
  }
}

.wave {
  background: rgb(255 255 255 / 25%);
  border-radius: 1000% 1000% 0 0;
  position: fixed;
  width: 200%;
  height: 12em;
  animation: wave 10s -3s linear infinite;
  transform: translate3d(0, 0, 0);
  opacity: 0.8;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.wave:nth-of-type(2) {
  bottom: -1.25em;
  animation: wave 18s linear reverse infinite;
  opacity: 0.8;
}

.wave:nth-of-type(3) {
  bottom: -2.5em;
  animation: wave 20s -1s reverse infinite;
  opacity: 0.9;
}

@keyframes wave {
  2% {
      transform: translateX(1);
  }

  25% {
      transform: translateX(-25%);
  }

  50% {
      transform: translateX(-50%);
  }

  75% {
      transform: translateX(-25%);
  }

  100% {
      transform: translateX(1);
  }
}


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box !important;
}

html, body {
  height: 100%;
}

body {
  display: table;
  width: 100%;
  height: 500vh;
  background-color: #171717;
  color: #000;
  line-height: 1.6;
  position: relative;
  font-family: sans-serif;
  overflow: hidden;
}

.lines {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 100%;
  margin: auto;
  width: 90vw;
}

.line {
  position: absolute;
  width: 1px;
  height: 100%;
  top: 0;
  left: 50%;
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;
}

.line::after {
  content: '';
  display: block;
  position: absolute;
  height: 15vh;
  width: 100%;
  top: -50%;
  left: 0;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, #ffffff 75%, #ffffff 100%);
  animation: drop 7s 0s infinite;
  animation-fill-mode: forwards;
  animation-timing-function: cubic-bezier(0.4, 0.26, 0, 0.97);
}

.line:nth-child(1) {
  margin-left: -25%;
}

.line:nth-child(1)::after {
  animation-delay: 2s;
}

.line:nth-child(3) {
  margin-left: 25%;
}

.line:nth-child(3)::after {
  animation-delay: 2.5s;
}

@keyframes drop {
  0% {
    top: -50%;
  }
  100% {
    top: 110%;
  }
}


// corosello:_______________________________________________________________________
.title{
  color: #fefefe;

}
img {
  width: 100%;
  height: 100%;
  display: block;
}

.container {
  width: 95%;
  height: 340px;
  display: flex;
  gap: 10px;
  margin-inline: 30px;

}

.card {

  min-width: 70px;
  height: 100%;
  border-radius: 30px;
  border: 1px solid rgba(255, 255, 255, 0.511);
  overflow: hidden;

  display: flex;
  align-items: flex-end;
  flex-grow: 1;
  cursor: pointer;
  position: relative;
  transition: flex-grow 0.5s cubic-bezier(0.16, 1, 0.3, 1);

  --transition-timing: 0.35s;
}
/* .card.active {
  flex-grow: 100;
} */
.card:hover {
  flex-grow: 7;
}

.card > .background {
  position: absolute;
  inset: 0;
  object-fit: cover;
  object-position: center;
  filter: brightness(0.7);
  z-index: 0;
  transition: var(--transition-timing) ease;
}
.card:hover > .background {
  filter: brightness(1);
}

.card > .card-content {
  display: flex;
  align-items: center;
  position: absolute;
  left: 10px;
  right: 10px;
  bottom: 20px;
  overflow: hidden;
  transition: var(--transition-timing);
  z-index: 10;
}
.card:hover > .card-content {
  inset: 20px;
  top: auto;
}

.card-content > * {
  transition: var(--transition-timing);
}

.card-content > .profile-image {
  min-width: 50px;
  max-width: 50px;
  height: 50px;
  border: 1px solid white;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  overflow: hidden;
}
.card:hover .profile-image {
  border: 1px solid rgb(110, 252, 205);
}
.profile-image > svg {
  stroke: #fefefe;
}
.card:hover .profile-image > svg {
  stroke: rgb(110, 252, 205);
}

.card-content > .title {
  white-space: pre;
  margin-left: 10px;
  translate: 0 100%;
  opacity: 0;
}
.card:hover .title {
  opacity: 1;
  translate: 0 0;
}

.card > .backdrop {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 100px;
  z-index: 0;
  background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.7));
}

// Text_________________________corosello__________________

p {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-family: 'Work Sans', sans-serif;
  font-size: 60px;
  text-transform: uppercase;
  text-align: center;
  line-height: 1;
  margin-bottom: 30px;
  margin-top: 40px;
}
p span{
  margin-left: 18px;

}

.fancy {
  @supports (background-clip: text) or (-webkit-background-clip: text) {
    background-image:
      url("data:image/svg+xml,%3Csvg width='2250' height='900' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg%3E%3Cpath fill='%2300A080' d='M0 0h2255v899H0z'/%3E%3Ccircle cx='366' cy='207' r='366' fill='%2300FDCF'/%3E%3Ccircle cx='1777.5' cy='318.5' r='477.5' fill='%2300FDCF'/%3E%3Ccircle cx='1215' cy='737' r='366' fill='%23008060'/%3E%3C/g%3E%3C/svg%3E%0A");
    background-size: 110% auto;
    background-position: center;
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
  }
}




// Text_________________________Description__________________

h2{
  margin: 10px 15px 15px 15px;
  text-align: left;
  color: #fff;
  text-shadow: #000000 0px 2px 2px;
}

/* Stili per la sezione descrizione-gioco */
#descrizione-gioco {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 30px 7%;
  padding: 20px;
  border-radius: 20px;
  background: hsla(0, 5%, 5%, 1);
}

#descrizione-gioco h2 {
  text-align: left;
  color: #fff;
  text-shadow: #000000 0px 2px 2px;
  margin-bottom: 10px;
}

#descrizione-gioco p {
  margin-top: 0%;
  font-size: 18px;
  text-align: center;
  text-transform: none;
  line-height: 1.5;
  color: #fff;
}

/* Stili per la sezione ringraziamenti */
#ringraziamenti {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 40%;
  margin: 30px 30%;
  padding: 20px;
  border-radius: 20px;
  background: hsla(0, 5%, 5%, 1);
}

#ringraziamenti h2 {
  text-align: left;
  color: #fff;
  text-shadow: #000000 0px 2px 2px;
  margin-bottom: 10px;
}

#ringraziamenti p {
  margin-top: 0%;
  font-size: 18px;
  text-align: center;
  line-height: 1.5;
  text-transform: none;
  color: #fff;
}
